ComfortUpdate from 2.51.0+160829 to 3.16.1+190314

More
1 year 3 months ago #182413 by infortel4
Hello,

We are thinking about the best way for upgrading our LimeSurvey CE 2.51.0+160829. We see that stable version 3.16.1+190314 is available in ComfortUpdate.

The current server is a SUSE Linux Enterprise Server 11 SP4 (3.0.101-71-default) with MySQL 5.0.8 and PHP 5.3.17.

As you can see, our PHP and MySQL versions are below that the requirements for LimeSurvey 3.16.1: MySQL 5.5.3 and PHP 5.5.9.

Could we upgrade PHP and MySQL versions and upgrade later LimeSurvey via ComforUpdate?

Did someone face a situation like that before?

Thanks in advance.

David.
The topic has been locked.
LimeSurvey Partners
More
1 year 3 months ago #182415 by jelo

infortel4 wrote: Could we upgrade PHP and MySQL versions and upgrade later LimeSurvey via ComforUpdate?

You didn't state the target version of PHP and MySQL.

Best practice: Use a new server with a fresh OS and do it from scratch. That way you will have time to test. If you do a inplace upgrade, you may be lost in broken dreams.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
More
1 year 3 months ago #182753 by infortel4

jelo wrote:

infortel4 wrote: Could we upgrade PHP and MySQL versions and upgrade later LimeSurvey via ComforUpdate?

You didn't state the target version of PHP and MySQL.

Best practice: Use a new server with a fresh OS and do it from scratch. That way you will have time to test. If you do a inplace upgrade, you may be lost in broken dreams.


Hi jelo,

thanks for the reply!

The target versions are based in the requirements for LimeSurvey 3.16.1: MySQL 5.5.3 (or later) and PHP 5.5.9 (or later).

Also we have a test server and a production server. Then we'd like try the upgrade using ComfortUpdate in our test server, doing a previous snapshot. So if it doesn't run as we expected, we can revert the changes.

Thanks again!

David.
The topic has been locked.

Start now!

Just create your account and start using Limesurvey today.

Register now